<template>
  <div class="app-container home">
  </div>
</template>

<script>
import { getUserProfile } from '@/api/system/user'

export default {
  name: "Index",
  data() {
    return {
      // 版本号
      version: "1.0.0"
    };
  },
  created() {
    this.getUser();
  },
  methods: {
    getUser() {
      getUserProfile().then(response => {
        let roles = response.data.roles;
        roles.forEach(role => {
          if (role.roleKey) {
          // if (role.roleKey === 'Worker') {
            this.$router.push({ path: "/matter/index" }).catch(() => { });
          }
        });
      });
    },
    goTarget(href) {
      window.open(href, "_blank");
    }
  }
};
</script>

<style scoped lang="scss">
.home {
}
</style>

